/*                                                                      */
/*  download.rexx                                                       */
/*                                                                      */
/*          Ce programme permet de downloader un programme              */
/*          depuis Calva                                                */
/*                                                                      */
/*                                                                      */
/*  SYNTAXE :                                                           */
/*                                                                      */
/*      rx download CITE/BIB/SECTION/PROGRAMME fichier                  */
/*                                                                      */
/*                                                                      */
/*  EXEMPLES :                                                          */
/*                                                                      */
/*      - Ramener le programme dme.zip depuis la cit Amiga, BIB Amiga, */
/*        section UTILITAIRES, et le mettre en dh0:calva/new_dme.zip    */
/*                                                                      */
/*          rx download amiga/amiga/utilitaires/dme.zip dh0:calva/new_dme.zip */
/*                                                                      */
/*      - Ramener le programme TRUC, de la cit Mac, section INIT       */
/*        (Il n'y a pas de sous BIB dans la cit Mac !!!!)              */
/*                                                                      */
/*          rx download mac//init/truc ram:truc.mac                     */
/*                                                                      */
/*                                                                      */
/*  BUGS :                                                              */
/*                                                                      */
/*      Il n'y a aucun tests de fait sur les rponses de Calva ou sur   */
/*      celles du modem. Pour un script parafaitement sr, il faudrait  */
/*      utiliser le mcanisme de "memory", et tester rgulirement la   */
/*      valeur de la variable memory pour s'assurer que tout se passe   */
/*      bien, et agir en consquence.                                   */
/*                                                                      */
/*      Ce script n'a pas t test de manire intensive, c'est le      */
/*      moins qu'on puisse dire. Ce n'est vraiment qu'un exemple.       */
/*                                                                      */
/*      Il semblerait qu'un ^C pendant l'excution du script fasse      */
/*      tout planter. A vrifier, et surtout, comprendre pourquoi !     */
/*                                                                      */
/*                                                                      */
/*  REMARQUES :                                                         */
/*                                                                      */
/*      Pour rire, on pourrait commencer par "console_close". Comme     */
/*      a, plus de fentre ! Dans le cas prsent, ce n'est pas trs    */
/*      intressant, mais si on avait voulu faire un script de lecture  */
/*      automatique des forums, alors l, on aurait pu gagn beaucoup   */
/*      de temps en fermant la fentre.                                 */
/*                                                                      */
/*                                                                      */

arg cite '/' bib '/' section '/' programme ' ' fichier

  say "cite = " cite
  say "bib = " bib
  say "section = " section
  say "programme = " programme
  say "fichier = " fichier

  address TERM

    serial_send '"ATDT16143061111\n"'
    rexx_delay 5; rexx_wait 30 1
    rexx_wait 5 1
    serial_send '"eg19\n"'
    rexx_wait 5 1
    serial_send '"mot-de-passe\n"'
    rexx_wait 5 1
    serial_send '"'"CI" cite"\n"'"'
    rexx_wait 5 1
    serial_send '"'"BIB" bib"\n"'"'
    rexx_wait 5 1
    serial_send '"'section"\n"'"'
    rexx_wait 5 1
    xpr_open '"xprxmodem.library"'
    xpr_init '"T0,C0,K1"'
    serial_send '"'"im" programme"\n"'"'
    rexx_wait 5 1
    serial_send '"Y\n"'
    rexx_wait 5 1
    xpr_receive '"'fichier'"'
    serial_send '"!!\n"'
    rexx_delay 2
    serial_send '"!!\n"'
    rexx_wait 5 1
    serial_send '"+++"'
    rexx_delay 1
    serial_send '"ATH\n"'


