/*
*
*       XCMDTools.c
*
*       Routines pour faciliter la gestion des XCMD
*
*       14/11/90 - Cration                                     - EG -
*
*/
#include <exec/types.h>
#include <exec/memory.h>
#include <exec/ports.h>
#include <clib/exec_protos.h>
#include <clib/alib_protos.h>
#include <stdio.h>
#include "XCMD.h"
#include "XCMDTools.h"


/*
*       CreateXCMD()
*
*       Cration une XCMD. La mmoire est alloue. Elle devra
*       tre libree par un DeleteXCMD. Le port pass en paramtre
*       est celui du processus externe, c'est  dire celui qui recevra
*       les rponses de Term.
*
*/
struct XCMD *CreateXCMD(struct MsgPort *port)
  {
  struct XCMD *xcmd = AllocMem(sizeof(struct XCMD),MEMF_PUBLIC|MEMF_CLEAR);
  if(xcmd)
    {
    xcmd->xcmd_Message.mn_Length = sizeof(struct XCMD);
    xcmd->xcmd_Message.mn_ReplyPort = port;
    }
  return(xcmd);
  }


/*
*       DeleteXCMD()
*
*       Dtruit une XCMD. Libre la mmoire alloue  la cration.
*
*/
void DeleteXCMD(struct XCMD *xcmd)
  {
  FreeMem(xcmd,sizeof(struct XCMD));
  }


/*
*       SendXCMD()
*
*       Envoie une commande vers Term II. Retourne TRUE si
*       la XCMD a pu tre envoye, FALSE sinon.
*
*/
BOOL SendXCMD(struct XCMD *xcmd)
  {
  BOOL sent = FALSE;
  struct MsgPort *TermPort;
  Forbid() ;
    if(TermPort = FindPort("XTERM"))
      {
      PutMsg(TermPort,xcmd);
      sent = TRUE;
      }
  Permit();
  return(sent);
  }

